Class CheckCurrentUserFollowsArtistsOrUsersRequest.Builder
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest.Builder<Boolean[], CheckCurrentUserFollowsArtistsOrUsersRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataRequest.Builder<Boolean[], CheckCurrentUserFollowsArtistsOrUsersRequest.Builder>
se.michaelthelin.spotify.requests.data.users.CheckCurrentUserFollowsArtistsOrUsersRequest.Builder
- All Implemented Interfaces:
IRequest.Builder<Boolean[], CheckCurrentUserFollowsArtistsOrUsersRequest.Builder>
- Enclosing class:
CheckCurrentUserFollowsArtistsOrUsersRequest
public static final class CheckCurrentUserFollowsArtistsOrUsersRequest.Builder
extends AbstractDataRequest.Builder<Boolean[], CheckCurrentUserFollowsArtistsOrUsersRequest.Builder>
Builder class for building a
CheckCurrentUserFollowsArtistsOrUsersRequest.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()The request build method.The artist or user IDs setter.self()Return this instance to simulate a self-type.type(ModelObjectType type) The ID type setter.Methods inherited from class AbstractRequest.Builder
setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionsetBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.setBodyParameter(String name, X value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.Set a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.setQueryParameter(String name, X value) Set a query parameter for the request.Set the scheme for the request.
-
Constructor Details
-
Builder
Create a newCheckCurrentUserFollowsArtistsOrUsersRequest.Builderinstance.- Parameters:
accessToken- Required. A valid access token from the Spotify Accounts service.
-
-
Method Details
-
type
The ID type setter.- Parameters:
type- Required. The ID type: eitherartistoruser.- Returns:
- A
CheckCurrentUserFollowsArtistsOrUsersRequest.Builder. - See Also:
-
ids
The artist or user IDs setter.- Parameters:
ids- Required. A comma-separated list of the artist or the user Spotify IDs to check. A maximum of 50 IDs can be sent in one request.- Returns:
- A
CheckCurrentUserFollowsArtistsOrUsersRequest.Builder. - See Also:
-
build
The request build method.- Returns:
- A custom
CheckCurrentUserFollowsArtistsOrUsersRequest.
-
self
Description copied from class:AbstractRequest.BuilderReturn this instance to simulate a self-type.- Specified by:
selfin classAbstractRequest.Builder<Boolean[], CheckCurrentUserFollowsArtistsOrUsersRequest.Builder>- Returns:
- This instance.
-